Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ORBInitializer_out Class Reference

`#include <PortableInterceptorC.h>`

Collaboration diagram for PortableInterceptor::ORBInitializer_out:

[legend]
List of all members.

## Public Methods
| ORBInitializer_out (ORBInitializer_ptr &)
| ORBInitializer_out (ORBInitializer_var &)
| ORBInitializer_out (const ORBInitializer_out &)
ORBInitializer_out & | operator= (const ORBInitializer_out &)
ORBInitializer_out & | operator= (const ORBInitializer_var &)
ORBInitializer_out & | operator= (ORBInitializer_ptr)
| operator ORBInitializer_ptr & ()
ORBInitializer_ptr & | ptr (void)
ORBInitializer_ptr | operator-> (void)
## Private Attributes
ORBInitializer_ptr & | ptr_

## Constructor & Destructor Documentation

PortableInterceptor::ORBInitializer_out::ORBInitializer_out | ( | ORBInitializer_ptr & |  | ) |

PortableInterceptor::ORBInitializer_out::ORBInitializer_out | ( | ORBInitializer_var & |  | ) |

PortableInterceptor::ORBInitializer_out::ORBInitializer_out | ( | const ORBInitializer_out & |  | ) |

## Member Function Documentation

PortableInterceptor::ORBInitializer_out::operator ORBInitializer_ptr & | ( |  | ) |

ORBInitializer_ptr PortableInterceptor::ORBInitializer_out::operator-> | ( | void |  | ) |

ORBInitializer_out& PortableInterceptor::ORBInitializer_out::operator= | ( | ORBInitializer_ptr |  | ) |

ORBInitializer_out& PortableInterceptor::ORBInitializer_out::operator= | ( | const ORBInitializer_var & |  | ) |

ORBInitializer_out& PortableInterceptor::ORBInitializer_out::operator= | ( | const ORBInitializer_out & |  | ) |

ORBInitializer_ptr& PortableInterceptor::ORBInitializer_out::ptr | ( | void |  | ) |

## Member Data Documentation

ORBInitializer_ptr& PortableInterceptor::ORBInitializer_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableInterceptorC.h